## haskell-hxt-xpath 9.1.2.2

=== examples/Makefile ===
# Example Applications
#

EXAMPLES	= hunit hxpath
MORE_SAMPLES	=

all		:
		$(foreach i,$(EXAMPLES),$(MAKE) -C $i all ;)

test		:
		$(foreach i,$(EXAMPLES),$(MAKE) -C $i $@ ;)

clean		:
		$(foreach i,$(EXAMPLES),$(MAKE) -C $i $@ ;)

.PHONY		: all test clean

=== examples/hunit/Makefile ===
# $Id: Makefile,v 1.2 2006/05/11 14:47:18 hxml Exp $

HXT_HOME	= ../../..
PKGFLAGS	=
GHCFLAGS	= -Wall -O2
GHC		= ghc $(GHCFLAGS) $(PKGFLAGS)

prog		= HUnitExample

all		: $(prog)

force		:
		$(GHC) --make $(GHCPACKAGES) -o $(prog) $(prog).hs

$(prog)		: $(prog).hs
		$(GHC) --make $(GHCPACKAGES) -o $@ $<

test		: $(prog)
		@echo "===> run HUnit examples" ; echo ; sleep 2
		./$(prog)

DIST		= $(HXT_HOME)/dist/examples/arrows
DIST_DIR	= $(DIST)/hunit
DIST_FILES	= mini1.xml mini2.xml Makefile $(prog).hs

dist		:
		[ -d $(DIST_DIR) ] || mkdir -p $(DIST_DIR)
		cp $(DIST_FILES) $(DIST_DIR)

clean		:
		rm -f $(prog) $(prog).o $(prog).hi

=== examples/hxpath/Makefile ===
# $Id: Makefile,v 1.2 2005/04/14 12:52:51 hxml Exp $

HXT_HOME	= ../../..
PKGFLAGS	=
GHCFLAGS	= -Wall -O2
GHC		= ghc $(GHCFLAGS) $(PKGFLAGS)

prog		= ./HXPath
prog2		= ./XPathShell

all		: $(prog) $(prog2)

force		:
		$(GHC) --make -o $(prog) $(prog).hs

local		:
		ghc --make -o $(prog2) $(GHCFLAGS) -fglasgow-exts -ignore-package hxt -i../../../src $(prog2).hs

$(prog)		: $(prog).hs
		$(GHC) --make -o $@ $<

$(prog2)	: $(prog2).hs
		$(GHC) --make -o $@ $<

EX		= xhtml/xhtml.xml

test		: $(prog)
		@echo "===> XPath extraction examples" ; echo ; sleep 2
		@$(MAKE) test1 test2 test3 test4

test1		:
		@echo "===> extract all text from the XHTML document" ; echo ; sleep 2
		$(prog) --do-not-validate "/html/body/descendant-or-self::text()" $(EX)
		@echo

test2		:
		@echo "===> extract the 42. paragraph from the XHTML document" ; echo ; sleep 2
		$(prog) --do-not-validate "/descendant::p[position()=42]" $(EX)
		@echo

test3		:
		@echo "===> extract the text of all top level h1 tags from the XHTML document" ; echo ; sleep 2
		$(prog) --indent --do-not-validate "/child::html/child::body/child::h1/descendant-or-self::text()" $(EX)
		@echo

test4		:
		@echo "===> extract all href attributes from a tags from the XHTML document" ; echo ; sleep 2
		$(prog) --indent --do-not-validate "/descendant::a/attribute::href" $(EX)
		@echo

DIST		= $(HXT_HOME)/dist/examples/arrows
DIST_DIR	= $(DIST)/hxpath

dist		:
		[ -d $(DIST_DIR) ] || mkdir -p $(DIST_DIR)
		cp Makefile $(prog).hs $(prog2).hs $(DIST_DIR)

clean		:
		rm -f $(prog) *.hi *.o

## haskell-hxt-xpath 9.0.0

=== debian/changelog ===
haskell-hxt-xpath (9.0.0-2build1) natty; urgency=low

  * Rebuild against new library ABIs

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 17 Feb 2011 19:20:15 +0100

haskell-hxt-xpath (9.0.0-2) unstable; urgency=low

  * debian/control: add Build-Depends: haskell-hxt (>= 9)

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 14 Nov 2010 10:58:57 +0900

haskell-hxt-xpath (9.0.0-1) unstable; urgency=low

  * Initial release (Closes: #601841)

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 28 Oct 2010 20:10:31 +0900

=== debian/control ===
Source: haskell-hxt-xpath
Section: haskell
Priority: extra
Maintainer: TANIGUCHI Takaki <takaki@debian.org>
Uploaders: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~),
	haskell-devscripts(>=0.7),
	cdbs,
	ghc6,
	ghc6-prof,
	ghc6-doc,
	libghc6-parsec-dev,
	libghc6-parsec-prof,
	libghc6-parsec-doc,
	libghc6-hxt-dev (>= 9), libghc6-hxt-dev (<< 10),
	libghc6-hxt-prof (>= 9), libghc6-hxt-prof (<< 10),
	libghc6-hxt-doc (>= 9), libghc6-hxt-doc (<< 10),
Standards-Version: 3.9.1
Homepage: http://www.fh-wedel.de/~si/HXmlToolbox/

Package: libghc6-hxt-xpath-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: The XPath modules for HXT.
 This is a part of Haskell XML Toolbox.
 .
 The Haskell XML Toolbox XPath library.
 Since version 8.5 this library is packed in a separate package.
 .
 This package contains the libraries compiled for GHC 6.

Package: libghc6-hxt-xpath-prof
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: The XPath modules for HXT.; profiling library
 This is a part of Haskell XML Toolbox.
 .
 The Haskell XML Toolbox XPath library.
 Since version 8.5 this library is packed in a separate package.
 .
 This package contains the profiling libraries compiled for GHC 6.

Package: libghc6-hxt-xpath-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: The XPath modules for HXT.; documentation
 This is a part of Haskell XML Toolbox.
 .
 The Haskell XML Toolbox XPath library.
 Since version 8.5 this library is packed in a separate package.
 .
 This package contains the library documentation.

=== debian/watch ===
version=3
opts=downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|  http://hackage.haskell.org/packages/archive/hxt-xpath  ([\d\.]*\d)/

## haskell-hxt-xpath 9.1.1

=== debian/changelog ===
haskell-hxt-xpath (9.1.1-1build2) oneiric; urgency=low

  * Rebuild for new libghc-hxt-dev ABI.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 Jun 2011 12:40:52 +0100

haskell-hxt-xpath (9.1.1-1build1) oneiric; urgency=low

  * No change rebuild against new GHC ABIs

 -- Iain Lane <laney@ubuntu.com>  Wed, 08 Jun 2011 10:26:07 +0100

haskell-hxt-xpath (9.1.1-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ TANIGUCHI Takaki ]
  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 14 Apr 2011 11:17:10 +0900

=== debian/control ===
Source: haskell-hxt-xpath
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
	haskell-devscripts(>=0.7),
	cdbs,
	ghc,
	ghc-prof,
	ghc-doc,
	libghc-parsec3-dev,
	libghc-parsec3-prof,
	libghc-parsec3-doc,
	libghc-hxt-dev (>= 9), libghc-hxt-dev (<< 10),
	libghc-hxt-prof (>= 9), libghc-hxt-prof (<< 10),
	libghc-hxt-doc (>= 9), libghc-hxt-doc (<< 10),
Standards-Version: 3.9.1
Homepage: http://www.fh-wedel.de/~si/HXmlToolbox/

Package: libghc-hxt-xpath-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: XPath modules for HXT.
 This is a part of Haskell XML Toolbox.
 .
 The Haskell XML Toolbox XPath library.
 Since version 8.5 this library is packed in a separate package.
 .
 This package contains the libraries compiled for GHC.

Package: libghc-hxt-xpath-prof
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: XPath modules for HXT.; profiling library
 This is a part of Haskell XML Toolbox.
 .
 The Haskell XML Toolbox XPath library.
 Since version 8.5 this library is packed in a separate package.
 .
 This package contains the profiling libraries compiled for GHC.

Package: libghc-hxt-xpath-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: XPath modules for HXT.; documentation
 This is a part of Haskell XML Toolbox.
 .
 The Haskell XML Toolbox XPath library.
 Since version 8.5 this library is packed in a separate package.
 .
 This package contains the library documentation.

## haskell-hxt-xpath 9.1.2

=== debian/changelog ===
haskell-hxt-xpath (9.1.2-4build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 29 May 2013 08:46:00 +0100

haskell-hxt-xpath (9.1.2-4) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:51:09 +0200

haskell-hxt-xpath (9.1.2-3) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 18 Oct 2012 10:25:42 +0200

haskell-hxt-xpath (9.1.2-2) experimental; urgency=low

  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:01:18 +0200

haskell-hxt-xpath (9.1.2-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version to 3.9.3. 

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 05 Mar 2012 13:09:16 +0900

=== debian/control ===
Source: haskell-hxt-xpath
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 9),
	haskell-devscripts (>= 0.8.15),
	cdbs,
	ghc,
	ghc-prof,
	ghc-doc,
	libghc-parsec3-dev,
	libghc-parsec3-prof,
	libghc-parsec3-doc,
	libghc-hxt-dev (>= 9.1), libghc-hxt-dev (<< 10),
	libghc-hxt-prof (>= 9.1), libghc-hxt-prof (<< 10),
	libghc-hxt-doc (>= 9.1), libghc-hxt-doc (<< 10),
Standards-Version: 3.9.4
Homepage: http://www.fh-wedel.de/~si/HXmlToolbox/

Package: libghc-hxt-xpath-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: XPath modules for HXT.${haskell:ShortBlurb}
 This is a part of Haskell XML Toolbox.
 .
 The Haskell XML Toolbox XPath library.
 Since version 8.5 this library is packed in a separate package.
 .
 ${haskell:Blurb}

Package: libghc-hxt-xpath-prof
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: XPath modules for HXT.${haskell:ShortBlurb}
 This is a part of Haskell XML Toolbox.
 .
 The Haskell XML Toolbox XPath library.
 Since version 8.5 this library is packed in a separate package.
 .
 ${haskell:Blurb}

Package: libghc-hxt-xpath-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: XPath modules for HXT.${haskell:ShortBlurb}
 This is a part of Haskell XML Toolbox.
 .
 The Haskell XML Toolbox XPath library.
 Since version 8.5 this library is packed in a separate package.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|hxt-xpath-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/hxt-xpath \
    ([\d\.]*\d)/

## haskell-hxt-xpath 9.1.2.1

=== debian/changelog ===
haskell-hxt-xpath (9.1.2.1-3) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:50:58 +0200

haskell-hxt-xpath (9.1.2.1-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:11:06 +0100

haskell-hxt-xpath (9.1.2.1-1) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 04 Aug 2014 23:48:28 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
 Build-Depends: debhelper (>= 9),
-	haskell-devscripts (>= 0.8.15),
+	haskell-devscripts (>= 0.9),
 	cdbs,
 	ghc,
 	ghc-prof,

## haskell-hxt-xpath 9.1.2.2

=== debian/changelog ===
haskell-hxt-xpath (9.1.2.2-2) unstable; urgency=medium

  * Post-NEW source-only upload

 -- Scott Talbert <swt@techie.net>  Sun, 23 Feb 2025 16:05:59 -0500

haskell-hxt-xpath (9.1.2.2-1) unstable; urgency=low

  * Initial release

 -- Scott Talbert <swt@techie.net>  Wed, 19 Feb 2025 19:30:15 -0500

=== debian/control ===
Source: haskell-hxt-xpath
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Scott Talbert <swt@techie.net>
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends: debhelper (>= 10),
 haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
 cdbs,
 ghc,
 ghc-prof,
 libghc-hxt-dev (>= 9.1),
 libghc-hxt-dev (<< 10),
 libghc-hxt-prof,
Build-Depends-Indep: ghc-doc,
 libghc-hxt-doc,
Standards-Version: 4.7.0
Homepage: https://github.com/UweSchmidt/hxt
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-hxt-xpath
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-hxt-xpath]
X-Description: XPath modules for HXT
 The Haskell XML Toolbox XPath library.
 .
 Changes from 9.1.2: Bug in indexing result sets removed

Package: libghc-hxt-xpath-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-hxt-xpath-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-hxt-xpath-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

=== debian/rules ===
#!/usr/bin/make -f

DEB_SETUP_BIN_NAME = debian/hlibrary.setup
DEB_CABAL_PACKAGE = hxt-xpath
DEB_DEFAULT_COMPILER = ghc

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

=== debian/watch ===
version=4
https://hackage.haskell.org/package/hxt-xpath/distro-monitor .*-([0-9\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
